summaryrefslogtreecommitdiffstats
path: root/games/ztrack
diff options
context:
space:
mode:
author Dan-Simon Myrland <dansimon@radiotube.org>2017-03-24 17:19:06 +0000
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 00:07:32 +0000
commit7588ac1bcec05944e2c93b54ab2cec7c2ea79b39 (patch)
tree16e648ca3a42fa3ac9d62187a60880e1e6be5f84 /games/ztrack
parente21154dd841b345c37994c9ef01b98e6e4ec261f (diff)
downloadslackbuilds-7588ac1bcec05944e2c93b54ab2cec7c2ea79b39.tar.gz
slackbuilds-7588ac1bcec05944e2c93b54ab2cec7c2ea79b39.tar.xz
games/ztrack: Added (ncurses racing game).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/ztrack')
-rw-r--r--games/ztrack/README1
-rw-r--r--games/ztrack/slack-desc19
-rw-r--r--games/ztrack/ztrack.SlackBuild71
-rw-r--r--games/ztrack/ztrack.info10
4 files changed, 101 insertions, 0 deletions
diff --git a/games/ztrack/README b/games/ztrack/README
new file mode 100644
index 0000000000..88a6bee4d7
--- /dev/null
+++ b/games/ztrack/README
@@ -0,0 +1 @@
+Ztrack is a (very) simple curses-based pseudo-3D driving game.
diff --git a/games/ztrack/slack-desc b/games/ztrack/slack-desc
new file mode 100644
index 0000000000..aa72263dcc
--- /dev/null
+++ b/games/ztrack/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ztrack: ztrack (ncurses racing game)
+ztrack:
+ztrack: Ztrack is a (very) simple curses-based pseudo-3D driving game.
+ztrack:
+ztrack:
+ztrack:
+ztrack:
+ztrack:
+ztrack:
+ztrack:
+ztrack:
diff --git a/games/ztrack/ztrack.SlackBuild b/games/ztrack/ztrack.SlackBuild
new file mode 100644
index 0000000000..fddf5c536c
--- /dev/null
+++ b/games/ztrack/ztrack.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Slackware build script for ztrack
+# Written by Dan-Simon Myrland <dansimon@radiotube.org>
+
+PRGNAM=ztrack
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS"
+
+mkdir -p $PKG/usr/games
+cp -a $PRGNAM $PKG/usr/games
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man6
+cp -a $PRGNAM.6 $PKG/usr/man/man6
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ztrack/ztrack.info b/games/ztrack/ztrack.info
new file mode 100644
index 0000000000..db482ecd21
--- /dev/null
+++ b/games/ztrack/ztrack.info
@@ -0,0 +1,10 @@
+PRGNAM="ztrack"
+VERSION="1.0"
+HOMEPAGE="http://ibiblio.org/pub/linux/games/arcade/"
+DOWNLOAD="http://ibiblio.org/pub/linux/games/arcade/ztrack-1.0.tar.gz"
+MD5SUM="7d0a6579b52cc50e8646e18fd9af087a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dan-Simon Myrland"
+EMAIL="dansimon@radiotube.org"